using System;
class Takmicenje
{
    static void Main()
    {
        string[] s = Console.ReadLine().Split();
        int N = int.Parse(s[0]);
        int M = int.Parse(s[1]);

        int z1 = (2 * M) + (2 * (N - 2));
        int z2 = (M - 2) * (N - 2) / 2;
        Console.WriteLine(z1 + z2);

    }
}